unit GrdColor;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ProCtrls, ProClGrd;

type
  TColorGridForm = class(TForm)
    DoneButton: TProButton;
    GrpColorGrid: TGroupBox;
    ColorGrid: TProColorGrid;
    GrpOrientation: TGroupBox;
    OptHorizontal: TRadioButton;
    OptVertical: TRadioButton;
    procedure OptHorizontalClick(Sender: TObject);
    procedure OptVerticalClick(Sender: TObject);
  end;

var
  ColorGridForm: TColorGridForm;

implementation

{$R *.DFM}


procedure TColorGridForm.OptHorizontalClick(Sender: TObject);
begin
  ColorGrid.Orientation := goHorizontal;
end;

procedure TColorGridForm.OptVerticalClick(Sender: TObject);
begin
  ColorGrid.Orientation := goVertical;
end;

end.
